System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class provides the following static properties: and . The class also provides the following static methods: , , and .

When you create a component that you want to license, you must do the following:

Specify the by marking the component with a .

Call or in the constructor of the component. throws a when it tries to create an instance without a valid license. does not throw an exception.

Call on any license that is granted when the component is disposed or finalized.

For more information on licensing, see How to: License Components and Controls.

Provides properties and methods to add a license to a component and to manage a . This class cannot be inherited.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  The you specify as the parameter is used as the for the life of this . The method blocks all other threads in the from modifying the , allowing to behave as an atomic operation.

  Creates an instance of the specified type, given a context in which you can use the licensed instance.

  An instance of the specified type.

  A that represents the type to create. A that specifies when you can use the licensed instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  The you specify as the parameter is used as the for the life of this . This method blocks all other threads in the from modifying the , allowing to behave as an atomic operation.

  Creates an instance of the specified type with the specified arguments, given a context in which you can use the licensed instance.

  An instance of the specified type with the given array of arguments.

  A that represents the type to create. A that specifies when you can use the licensed instance. An array of type that represents the arguments for the type.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.LicenseContext To be added: an object of type 'LicenseContext'

  When the user requests a valid , the user must give the context in which the is valid to the method. The returned by this property should be passed to all classes.

  Gets or sets the current , which specifies when you can use the licensed object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the given type has a valid license.

  true if the given type is licensed; otherwise, false.

  The to find a valid license for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method returns true when the type is either not licensed, or is licensed and the license is valid.

  This method does not throw a when it cannot grant a valid . The method throws exceptions.

  Determines whether a valid license can be granted for the specified type.

  true if a valid license can be granted; otherwise, false.

  A that represents the type of object that requests the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added: an object of type 'Type' To be added: an object of type 'object' To be added: an object of type 'License&' To be added To be added: an object of type 'bool' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use the to get the of an object. This method locks the , preventing the from being retrieved.

  Prevents changes being made to the current of the given object.

  The object whose current context you want to lock.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use the to get the of an object. This method unlocks the , allowing the to be retrieved.

  Allows changes to be made to the current of the given object.

  The object whose current context you want to unlock.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.LicenseUsageMode To be added: an object of type 'LicenseUsageMode'

  If this property cannot find a value, it returns .

  Gets the which specifies when you can use the licensed object for the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method throws a when a valid cannot be granted. The method does not throw an exception.

  Determines whether a license can be granted for the specified type.

  A that represents the type of object that requests the license.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.License `` ``

  This method throws a when a valid cannot be granted. The method does not throw an exception.

  All objects asking for a must dispose of the license by calling the method when the object is disposed of or finalized.

  Determines whether a license can be granted for the instance of the specified type.

  A valid .

  A that represents the type of object that requests the license. An of the specified type or a type derived from the specified type.